cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/metricexport/datadog \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cluster_id": "<string>",
"site": "US1",
"api_key": "<string>",
"status": "NOT_DEPLOYED",
"user_message": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get the Datadog Metric Export configuration for a cluster
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
metricexport
/
datadog
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/metricexport/datadog \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"cluster_id": "<string>",
"site": "US1",
"api_key": "<string>",
"status": "NOT_DEPLOYED",
"user_message": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
DatadogSite specifies the Datadog region to export to. NOTE: Regions are completely independent from one another.
Available options:
US1, US3, US5, US1_GOV, EU1 api_key is the last 4 digits of a Datadog API key.
Available options:
NOT_DEPLOYED, DISABLING, ENABLING, ENABLED, ERROR 
